ApiAgentsIdWork queueItems
Add an item
A person adds work to the back of an agent's queue.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agents/string/work-queue/items" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "prompt": "string" }'{ "id": "string", "agentId": "string", "title": "string", "prompt": "string", "cwd": "string", "state": "queued", "outcome": "finished", "note": "string", "sessionId": "string", "accountId": "string", "addedBy": "person", "createdAt": "string", "startedAt": "string", "endedAt": "string"}